StarPU Handbook

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - p -

- pack_data : starpu_data_interface_ops
- per_arch : starpu_perfmodel
- per_worker_stats : starpu_codelet
- policy_description : starpu_sched_policy
- policy_name : starpu_sched_policy
- pop_end_time : starpu_profiling_task_info
- pop_every_task : starpu_sched_policy
- pop_start_time : starpu_profiling_task_info
- pop_task : starpu_sched_policy
- poped_tasks : sc_hypervisor_wrapper
- post_exec_hook : starpu_sched_policy
- power_consumed : starpu_profiling_task_info , starpu_profiling_worker_info
- power_model : starpu_codelet
- pre_exec_hook : starpu_sched_policy
- predicted : starpu_task
- predicted_transfer : starpu_task
- prev : starpu_task
- priority : sc_hypervisor_policy_config , starpu_task
- profiling_info : starpu_task
- programs : starpu_opencl_program
- prologue_callback_arg : starpu_task
- prologue_callback_arg_free : starpu_task
- prologue_callback_func : starpu_task
- ptr : starpu_block_interface , starpu_matrix_interface , starpu_variable_interface , starpu_vector_interface
- push_end_time : starpu_profiling_task_info
- push_start_time : starpu_profiling_task_info
- push_task : starpu_sched_policy
- push_task_notify : starpu_sched_policy
- pushed_tasks : sc_hypervisor_wrapper